Export a malware report for a protection group S3 asset
Exports the specified malware report for a protection group S3 asset.
Query Parameters
- embed string
Embeds the details of each associated resource. Set the parameter to one of the following embeddable links to include additional details associated with the resource.
For more information about embedded links, refer to the Embedding Referenced Resources section of this guide.Embeddable Link Description read-task Embeds the associated task in the response. For example, ?embed=read-task
- application/json
Request Body required
source object required
The parameters to specify how to generate the malware report for protection group S3 asset. Must set exactly one of the options.
backup_time_range object
The parameters to generate the report of malicious objects detected within backup time range.
end_timestamp stringThe end timestamp of searching time range in RFC-3339 format. Clumio backup time until the given time inclusive. If not provided, defaults to the latest backup time.
s3_asset_id string requiredClumio-assigned ID of protection group S3 asset, representing the bucket within the protection group to generate report from. Use the GET /datasources/protection-groups/s3-assets endpoint to fetch valid values.
start_timestamp stringThe start timestamp of searching time range in RFC-3339 format. Clumio backup time since the given time inclusive. If not provided, defaults to the earliest backup time.
malware_scan_task object
The parameters to generate the report of malicious objects detected in a specific malware scan task.
s3_asset_id string requiredClumio-assigned ID of protection group S3 asset, representing the bucket within the protection group to generate report from. Use the GET /datasources/protection-groups/s3-assets endpoint to fetch valid values.
task_id int64 requiredThe task ID assigned to the backup or regular malware scan where malicious objects were detected.
protection_group_backup object
The parameters to specify s3 asset backup by protection group and s3 asset id.
protection_group_backup_id stringThe Clumio-assigned ID of the protection group backup. Use the GET /backups/protection-groups endpoint to fetch valid values.
s3_asset_id string requiredClumio-assigned ID of protection group S3 asset, representing the bucket within the protection group to generate report from. Use the GET /datasources/protection-groups/s3-assets endpoint to fetch valid values.
s3_asset_backup_id stringOption to generate malware report using S3AssetBackupID. This is an Clumio-assigned ID of the protection group S3 asset backup. Use the GET /backups/protection-groups/s3-assets endpoint to fetch valid values.
target object required
The parameters for which S3 bucket to export the malware report to.
bucket_id string requiredThe Clumio-assigned ID of the bucket where the report is exported to Use the GET /datasources/aws/s3-buckets endpoint to fetch valid values.
environment_id string requiredThe Clumio-assigned ID of the AWS environment to be used as the export destination. Use the GET /datasources/aws/s3-buckets/{bucket_id} endpoint to fetch the environment ID for a bucket.
prefix stringPrefix to export the objects under. The final destination would be
s3://<bucket_name>/<prefix>/<bucket_name>/malware_report_<YYYY-MM-DD-hh-mm-ss>.csvstorage_class stringPossible values: [
S3 Standard,S3 Standard-IA,S3 Intelligent-Tiering,S3 One Zone-IA]Storage class for exported objects. Valid values are:
S3 Standard,S3 Standard-IA,S3 Intelligent-TieringandS3 One Zone-IA.
Default isS3 Standard.
- 202
- default
Success
- application/api.clumio.backup-protection-groups=v1+json
- Schema
- Example (from schema)
Schema
_embedded object
Embedded responses related to the resource.
read-task Embeds the associated task of a resource in the response if requested using the `embed` query parameter.Embeds the associated task of a resource in the response if requested using the
embedquery parameter._links object
URLs to pages related to the resource.
_self object
The HATEOAS link to this resource.
href stringThe URI for the referenced operation.
templated booleanDetermines whether the "href" link is a URI template. If set to
true, the "href" link is a URI template.type stringThe HTTP method to be used with the "href" link for the referenced operation.
read-task object
A HATEOAS link to the task associated with this resource.
href stringThe URI for the referenced operation.
templated booleanDetermines whether the "href" link is a URI template. If set to
true, the "href" link is a URI template.type stringThe HTTP method to be used with the "href" link for the referenced operation.
- task_id string
The Clumio-assigned ID of the task created by this request. The progress of the task can be monitored using the
GET /tasks/{task_id}endpoint.
{
"_embedded": {},
"_links": {
"_self": {
"href": "string",
"templated": true,
"type": "string"
},
"read-task": {
"href": "string",
"templated": true,
"type": "string"
}
},
"task_id": "string"
}
Error
- application/json
- Schema
- Example (from schema)
Schema
errors object[]
A list of errors encountered during runtime.
error_code uint32error_message stringThe reason for the error.
{
"errors": [
{
"error_code": 0,
"error_message": "string"
}
]
}